com.sun.grid.jgdi.configuration

## Interface PathName

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    PathNameImpl

      public interface PathName
      extends GEObject

  Java representation of the cull object PN_Type defined in sge_all_listsL.template

  Warning: The PathName class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getFileHost()` Get the value of the fileHost attribute.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `java.lang.String` | `getPath()` Get the value of the path attribute.
    `boolean` | `isFileStaging()` Get the value of the fileStaging attribute.
    `boolean` | `isSetFileHost()` Determine if any fileHost attribute is set
    `boolean` | `isSetFileStaging()` Determine if any fileStaging attribute is set
    `boolean` | `isSetHost()` Determine if any host attribute is set
    `boolean` | `isSetPath()` Determine if any path attribute is set
    `void` | `setFileHost(java.lang.String aFileHost)` Set the fileHost attribute.
    `void` | `setFileStaging(boolean aFileStaging)` Set the fileStaging attribute.
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setPath(java.lang.String aPath)` Set the path attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setPath

          void setPath(java.lang.String aPath)

      Set the path attribute.
      Parameters:
        `aPath` - the new value for the path attribute

    - #### getPath

          java.lang.String getPath()

      Get the value of the path attribute.
      Returns:
        the value of the path attribute

    - #### isSetPath

          boolean isSetPath()

      Determine if any path attribute is set
      Returns:
        `true` if the path attribute is set

    - #### setHost

          void setHost(java.lang.String aHost)

      Set the host attribute.
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          java.lang.String getHost()

      Get the value of the host attribute.
      Returns:
        the value of the host attribute

    - #### isSetHost

          boolean isSetHost()

      Determine if any host attribute is set
      Returns:
        `true` if the host attribute is set

    - #### setFileHost

          void setFileHost(java.lang.String aFileHost)

      Set the fileHost attribute.
      Parameters:
        `aFileHost` - the new value for the fileHost attribute

    - #### getFileHost

          java.lang.String getFileHost()

      Get the value of the fileHost attribute.
      Returns:
        the value of the fileHost attribute

    - #### isSetFileHost

          boolean isSetFileHost()

      Determine if any fileHost attribute is set
      Returns:
        `true` if the fileHost attribute is set

    - #### setFileStaging

          void setFileStaging(boolean aFileStaging)

      Set the fileStaging attribute.
      Parameters:
        `aFileStaging` - the new value for the fileStaging attribute

    - #### isFileStaging

          boolean isFileStaging()

      Get the value of the fileStaging attribute.
      Returns:
        the value of the fileStaging attribute

    - #### isSetFileStaging

          boolean isSetFileStaging()

      Determine if any fileStaging attribute is set
      Returns:
        `true` if the fileStaging attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.